This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 139810 - kernel BUG at kernel/exit.c:842!
kernel BUG at kernel/exit.c:842!
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
http://www.uwsg.iu.edu/hypermail/linu...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-18 01:47 EST by Ray Van Dolson
Modified: 2015-01-04 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 02:09:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel configuration. (49.76 KB, text/plain)
2004-11-18 01:49 EST, Ray Van Dolson
no flags Details

  None (edit)
Description Ray Van Dolson 2004-11-18 01:47:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3

Description of problem:
HP DL140 (Dual P4 Xeon 2.4GHz w/ Hyper Threading enabled).  I am
running Kernel 2.6.9-1.1_FC2custom (from the FC2 testing tree).  This
server serves as a PPTP Concentrator using the PoPTop 1.2.1 software,
pppd 2.4.3 and the ppp_mppe kernel module from the pppd project.  This
module taints the kernel.

If anyone has any suggetions on a _sactioned_ MPPE module that will
not taing the kernel, I will be happy to use it.

Basically after 4 or 5 days of use on a high traffic system, the
following kernel oops occurs:

EFLAGS: 00010246   (2.6.9-1.1_FC2custom)
EIP:    0060:[<02121d10>]    Tainted: P   VLI
CPU:    1
Modules linked in: sch_tbf(U) ppp_mppe(U) ppp_async(U) crc_ccitt(U)
ppp_generic(U) slhc(U) ipt_limit(U) ipt_REJECT(U) ipt_mult iport(U)
iptable_filter(U) iptable_nat(U) ip_conntrack(U) ip_tables(U)
sunrpc(U) e100(U) mii(U) sg(U) scsi_mod(U) microcode(U) dm_mod(U)
ohci_hcd(U) button(U) bat tery(U) ac(U) ext3(U) jbd(U)
SMP
invalid operand: 0000 [#1]
kernel BUG at kernel/exit.c:842!

The output above is the most recent crash.  The output in this URL
http://www.uwsg.iu.edu/hypermail/linux/kernel/0411.1/0374.html gave
more output and detail.

This system is using a Dual EEPro 100 NIC.  The onboard Broadcom NIC's
were a whole different headache.

Any suggestions?  This is a real show-stopper for us.

Here are the sysctl settings I am using:

net.ipv4.ip_forward = 1
net.ipv4.conf.default.rp_filter = 1
kernel.sysrq = 1
kernel.core_uses_pid = 1
net.ipv4.ip_conntrack_max = 65528
net.ipv4.ip_local_port_range = 1024 65000
net.ipv4.neigh.default.gc_thresh3 = 4096
net.ipv4.neigh.default.gc_thresh2 = 2048
net.ipv4.neigh.default.gc_thresh1 = 256
net.ipv4.neigh.default.gc_stale_time = 15
net.ipv4.neigh.default.gc_interval = 5

I will attach my kernel .config.

Version-Release number of selected component (if applicable):
2.6.9-1.1_FC2custom

How reproducible:
Always

Steps to Reproduce:
1. Setup PopTop, allow users to connect. (Busy server ~750 users)
2. Wait 4-5 days.
    

Actual Results:  Server crashes.

Expected Results:  Server should not crash.

Additional info:
Comment 1 Ray Van Dolson 2004-11-18 01:49:53 EST
Created attachment 106935 [details]
Kernel configuration.
Comment 2 Dave Jones 2005-04-16 02:09:18 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.